import { Database } from '../database';
import { SeederCollection, LogFn } from '../common';
import { CollectionInsertManyOptions } from 'mongodb';
/**
 * Allows to import collections into database.
 */
export declare class CollectionImporter {
    /**
     * Wrapper for MongoDB database
     */
    db: Database;
    /**
     * Logger instance
     */
    log: LogFn;
    /**
     * Optional MongoDB collection import options
     */
    collectionInsertManyOptions?: CollectionInsertManyOptions;
    /**
     * Constructs new `CollectionImporter` instance.
     *
     * @param db Database object
     * @param collectionInsertManyOptions Optional MongoDB Collection InsertMany Options
     */
    constructor(db: Database, collectionInsertManyOptions?: CollectionInsertManyOptions, log?: LogFn);
    /**
     * Imports multiple collections into database.
     *
     * @param collections Array of collections
     */
    import(collections: SeederCollection[]): Promise<void>;
    /**
     * Imports single collection into database.
     *
     * @param collection Collection definition
     */
    private importCollection;
}
